Servoy JasperReports Plugin - Defect #736

using the virtualizer gives nullpointersagain
09/19/2013 02:49 PM - Harjo Kompagnie

Status: Resolved Start date: 09/19/2013
Priority: High Due date:

Assignee: Rob Gansevles % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
When using the latest version (4.0.1) of the jasper-plugin gives an nullpointer exceptions

we only use it in the parameter:

var vParameters = new java.util.HashMap(); //object
vParameters.put ('VIRTUALIZER_TYPE', "gZip"); //possible options: file, swapFile, gZip

if we remove the line: vParameters.put('VIRTUALIZER_TYPE', "gZip")
the nullpointer disappears.

there is the log:

Time Thread

Level Category

Message Clientld

Solution Name

2013-09-09 17:10 AWT-EventQueue-0 ERROR

com.servoy.j2db.util.Debug

Throwable, script stacktrace: at D:\\Servoy_Workspaces\\servoy_workspace_72\\DirectManager\\forms\\quotes_detail.js:376
(gotoPrintMenu)

BD7CF198-9E57-443C-A931-06109DA3E343

DirectManager

2013-09-09 17:10 AWT-EventQueue-0 ERROR

com.servoy.j2db.util.Debug

Throwable BD7CF198-9E57-443C-A931-06109DA3E343

DirectManager

org.mozilla.javascript. WrappedException: Wrapped java.lang.Exception: java.lang.NullPointerException
(D:\\Servoy_Workspaces\\servoy_workspace_72\\DirectManager\\forms\\quotes_print_menu.js#180)

at org.mozilla.javascript.Context.throwAsScriptRuntimeEx(Context.java:1815)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:180)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1774)

at script.printQuoteJasper(D:\\Servoy_Workspaces\\servoy workspace_72\\DirectManager\forms\\quotes_print_menu.js:180)
at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:626)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:393)
at com.servoy.j2db.FormController.executeFunction(FormController.java:4983)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4865)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4732)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:4577)

at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:276)

at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:218)

at com.servoy.j2db.smart.dataui.AbstractScriptLabel$6.mouseReleased(AbstractScriptLabel.java:934)
at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)
at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventlmpl(Unknown Source)

at java.awt.EventQueue.access$400(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.Dialog$1.run(Unknown Source)

at java.awt.Dialog$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.awt.Dialog.show(Unknown Source)

at java.awt.Component.show(Unknown Source)

at java.awt.Component.setVisible(Unknown Source)

at java.awt.Window.setVisible(Unknown Source)

at java.awt.Dialog.setVisible(Unknown Source)

at com.servoy.j2db.util.gui.JEscapeDialog.setVisible(JEscapeDialog.java:168)

at com.servoy.j2db.gui.FormDialog.setVisible(FormDialog.java:164)

at com.servoy.j2db.smart.SwingRuntimeWindow.finalizeShowWindow(SwingRuntimeWindow.java:767)
at com.servoy.j2db.smart.SwingRuntimeWindow.doOIldShowInDialog(SwingRuntimeWindow.java:503)
at com.servoy.j2db.smart.SwingRuntimeWindow.doOIldShow(SwingRuntimeWindow.java:415)
at com.servoy.j2db.scripting.RuntimeWindow.doShow(RuntimeWindow.java:274)

at com.servoy.j2db.scripting.RuntimeWindow.show(RuntimeWindow.java:268)

at com.servoy.j2db.scripting.RuntimeWindow.showObject(RuntimeWindow.java:255)

at com.servoy.j2db.scripting.JSWindow.js_show(JSWindow.java:152)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1774)

at script.gotoPrintMenu(D:\\Servoy_Workspaces\\servoy_workspace_72\\DirectManager\\forms\\quotes_detail.js:376)
at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3204)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:156)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:626)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:393)
at com.servoy.j2db.FormController.executeFunction(FormController.java:4983)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4865)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4732)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:4577)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:276)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:218)
at com.servoy.j2db.smart.dataui.AbstractScriptLabel$6.mouseReleased(AbstractScriptLabel.java:934)
at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)
at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventimpl(Unknown Source)

at java.awt.EventQueue.access$400(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

Caused by: java.lang.Exception: java.lang.NullPointerException

at com.servoy.plugins.jasperreports.JasperReportsProvider.runReport(JasperReportsProvider.java:619)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:299)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:207)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:189)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

... 113 more

Caused by: java.lang.NullPointerException

at net.sf.jasperreports.engine.JRPropertiesUtil.getProperty (JRPropertiesUtil.java: 143)

at net.sf.jasperreports.engine.JRPropertiesUtil.getintegerProperty (JRPropertiesUtil.java:559)

at net.sf.jasperreports.engine.fill.JRVirtualizationContext.readObject(JRVirtualizationContext.java:376)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectlnputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.ElementsBlock.readObject(VirtualizableElementList.java:559)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectlnputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.JRVirtualPrintPage.readObject(JRVirtualPrintPage.java:241)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at java.util.ArrayList.readObject(Unknown Source)

at sun.reflect. GeneratedMethodAccessor235.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectlnputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.defaultReadObject(Unknown Source)

at net.sf.jasperreports.engine.JasperPrint.readObject(JasperPrint.java:681)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at
com.servoy.j2db.debug.SerializingRemotelnvocationHandler.serializeAndDeserialize(SerializingRemotelnvocationHandler.java:106)
at com.servoy.j2db.debug.SerializingRemotelnvocationHandler.invoke(SerializingRemotelnvocationHandler.java:119)
at com.sun.proxy.$Proxy18.getJasperPrint(Unknown Source)

at com.servoy.plugins.jasperreports.JasperReportsProvider.runReport(JasperReportsProvider.java:396)
... 121 more

2013-09-09 17:10 AWT-EventQueue-0 ERROR

com.servoy.j2db.util. Debug

Throwable, script stackirace: at D:\\Servoy_Workspaces\\servoy_workspace_72\\DirectManager\\forms\\quotes_print_menu.js:180
(printQuotedasper) at D:\\Servoy_Workspaces\\servoy_workspace_72\\DirectManager\\forms\\quotes_detail.js:376 (gotoPrintMenu)
BD7CF198-9E57-443C-A931-06109DA3E343

DirectManager

2013-09-09 17:10 AWT-EventQueue-0 ERROR

com.servoy.j2db.util.Debug

Throwable BD7CF198-9E57-443C-A931-06109DA3E343

DirectManager

java.lang.NullPointerException

at net.sf.jasperreports.engine.JRPropertiesUtil.getProperty(JRPropertiesUtil.java: 143)

at net.sf.jasperreports.engine.JRPropertiesUtil.getIntegerProperty (JRPropertiesUtil.java:559)

at net.sf.jasperreports.engine.fill. JRVirtualizationContext.readObject(JRVirtualizationContext.java:376)
at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectlnputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.ElementsBlock.readObject(VirtualizableElementList.java:559)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)
at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectlnputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at net.sf.jasperreports.engine.base.JRVirtualPrintPage.readObject(JRVirtualPrintPage.java:241)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at java.util.ArrayList.readObject(Unknown Source)

at sun.reflect. GeneratedMethodAccessor235.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectlnputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.defaultReadFields(Unknown Source)

at java.io.ObjectInputStream.defaultReadObject(Unknown Source)

at net.sf.jasperreports.engine.JasperPrint.readObject(JasperPrint.java:681)

at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at java.io.ObjectStreamClass.invokeReadObject(Unknown Source)

at java.io.ObjectInputStream.readSerialData(Unknown Source)

at java.io.ObjectInputStream.readOrdinaryObject(Unknown Source)

at java.io.ObjectInputStream.readObject0(Unknown Source)

at java.io.ObjectInputStream.readObject(Unknown Source)

at
com.servoy.j2db.debug.SerializingRemotelnvocationHandler.serializeAndDeserialize(SerializingRemotelnvocationHandler.java:106)
at com.servoy.j2db.debug.SerializingRemotelnvocationHandler.invoke(SerializingRemotelnvocationHandler.java:119)
at com.sun.proxy.$Proxy18.getJasperPrint(Unknown Source)

at com.servoy.plugins.jasperreports.JasperReportsProvider.runReport(JasperReportsProvider.java:396)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:299)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:207)
at com.servoy.plugins.jasperreports.JasperReportsProvider.js_runReport(JasperReportsProvider.java:189)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1774)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:626)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:393)
at com.servoy.j2db.FormController.executeFunction(FormController.java:4983)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4865)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4732)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:4577)

at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:276)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:218)
at com.servoy.j2db.smart.dataui.AbstractScriptLabel$6.mouseReleased(AbstractScriptLabel.java:934)
at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventlmpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventlmpl(Unknown Source)

at java.awt.EventQueue.access$400(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)

at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.Dialog$1.run(Unknown Source)

at java.awt.Dialog$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.awt.Dialog.show(Unknown Source)

at java.awt.Component.show(Unknown Source)

at java.awt.Component.setVisible(Unknown Source)

at java.awt.Window.setVisible(Unknown Source)

at java.awt.Dialog.setVisible(Unknown Source)

at com.servoy.j2db.util.gui.JEscapeDialog.setVisible(JEscapeDialog.java:168)

at com.servoy.j2db.gui.FormDialog.setVisible(FormDialog.java:164)

at com.servoy.j2db.smart.SwingRuntimeWindow.finalizeShowWindow(SwingRuntimeWindow.java:767)
at com.servoy.j2db.smart.SwingRuntimeWindow.doOIldShowInDialog(SwingRuntimeWindow.java:503)
at com.servoy.j2db.smart.SwingRuntimeWindow.doOIldShow(SwingRuntimeWindow.java:415)
at com.servoy.j2db.scripting.RuntimeWindow.doShow(RuntimeWindow.java:274)

at com.servoy.j2db.scripting.RuntimeWindow.show(RuntimeWindow.java:268)

at com.servoy.j2db.scripting.RuntimeWindow.showObject(RuntimeWindow.java:255)

at com.servoy.j2db.scripting.JSWindow.js_show(JSWindow.java:152)

at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorimpl.invoke(Unknown Source)

at sun.reflect.DelegatingMethodAccessorlmpl.invoke(Unknown Source)

at java.lang.reflect.Method.invoke(Unknown Source)

at org.mozilla.javascript.MemberBox.invoke(MemberBox.java:158)

at org.mozilla.javascript.NativeJavaMethod.call(NativeJavaMethod.java:312)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:1774)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:837)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:158)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:406)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3204)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:156)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:626)

at com.servoy.j2db.debug.RemoteDebugScriptEngine.executeFunction(RemoteDebugScriptEngine.java:393)
at com.servoy.j2db.FormController.executeFunction(FormController.java:4983)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4865)

at com.servoy.j2db.FormController.executeFunction(FormController.java:4732)

at com.servoy.j2db.FormController$ScriptExecuter.executeFunction(FormController.java:4577)
at com.servoy.j2db.ui.BaseEventExecutor.fireEventCommand(BaseEventExecutor.java:276)
at com.servoy.j2db.ui.BaseEventExecutor.fireActionCommand(BaseEventExecutor.java:218)
at com.servoy.j2db.smart.dataui.AbstractScriptLabel$6.mouseReleased(AbstractScriptLabel.java:934)
at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt. AWTEventMulticaster.mouseReleased(Unknown Source)

at java.awt.Component.processMouseEvent(Unknown Source)

at javax.swing.JComponent.processMouseEvent(Unknown Source)

at java.awt.Component.processEvent(Unknown Source)

at java.awt.Container.processEvent(Unknown Source)

at java.awt.Component.dispatchEventimpl(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)

at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)

at java.awt.Container.dispatchEventimpl(Unknown Source)

at java.awt.Window.dispatchEventimpl(Unknown Source)

at java.awt.Component.dispatchEvent(Unknown Source)

at java.awt.EventQueue.dispatchEventlmpl(Unknown Source)

at java.awt.EventQueue.access$400(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.awt.EventQueue$2.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.security.AccessControlContext$1.dolntersectionPrivilege(Unknown Source)
at java.awt.EventQueue$3.run(Unknown Source)

at java.awt.EventQueue$3.run(Unknown Source)

at java.security.AccessController.doPrivileged(Native Method)

at java.security.AccessControlContext$1.dolIntersectionPrivilege(Unknown Source)
at java.awt.EventQueue.dispatchEvent(Unknown Source)

at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)

at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.pumpEvents(Unknown Source)

at java.awt.EventDispatchThread.run(Unknown Source)

History

#1 - 11/26/2013 09:23 AM - Harjo Kompagnie

- Assignee set to Andrei Costache

Any news about this one??

#2 - 01/07/2014 09:22 AM - Rob Gansevles

This seems to be a bug in Jasper reports, reported as fixed in JR 4.7.1

http://community.jaspersoft.com/jasperreports-library/issues/5824

Plugin version 4.0.0 is based on the 4.6.0 version of the JasperReports engine.
Please try with an updated version of JR.

Rob

#3 - 01/07/2014 09:01 PM - Harjo Kompagnie

Andrei, already fixed that by implementing that workaround, see here: https://www.servoyforge.net/issues/530

Now this breaks again between 4.0.0 and 4.0.1.
And I'm not happy to update the JR to 4.7.1 . The wiki is full of, that this is not recommended!
We once did that, and it was all kind of trouble.

I'm sorry to say, but we are VERY depending on this plugin, and we are looking for alternatives, because of the lack of support /slow pickup of
problems... :-(

#4 - 01/08/2014 09:24 PM - Rob Gansevles

- Assignee changed from Andrei Costache to Rob Gansevles
#5 - 01/08/2014 09:28 PM - Rob Gansevles

- Status changed from New to Resolved

Added a snapshot jar to the files section

#6 - 01/08/2014 09:31 PM - Harjo Kompagnie
will try it right away!

#7 - 01/08/2014 09:50 PM - Harjo Kompagnie

Looking good in developer. Will try tomorrow right away in a real server environment.

#8 - 01/09/2014 05:32 PM - Harjo Kompagnie

Please re-open this case.
Still can't use the Virtualizer on a real-server environment.

| have send the console error to Rob.

#9 - 01/09/2014 08:11 PM - Rob Gansevles

Unfortunately, this not working on application server seems to be a bug in Servoy.
| created a case for this: https://support.servoy.com/browse/SVY-5727

The JR issue is fixed in v4.7.1.

The reason we say that people should be careful to use newer versions of JR is that some libraries are common to JR and Servoy and that will only
work if the versions of these libraries are the same.

| compared JR 4.6.0 (currently used) with JR 4.7.1 (contains fix) and the only difference in libs is an update of barcode4j (2.0 -> 2.1) which is not used
by Servoy.

So, JR 4.7.1 can be safely used with Servoy and this plugin.
When barcode4j is used it should also be upgraded.

When the Servoy issue is fixed the plugin should also work with JR 4.6.0
